Bug 1251157 - (CVE-2015-5745) CVE-2015-5745 kernel: qemu buffer overflow in virtio-serial
CVE-2015-5745 kernel: qemu buffer overflow in virtio-serial
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150723,reported=2...
: Security
Depends On: 1251160 1251354
Blocks: 1247784
  Show dependency treegraph
 
Reported: 2015-08-06 11:23 EDT by Vasyl Kaigorodov
Modified: 2016-04-26 10:03 EDT (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Qemu emulator built with the virtio-serial vmchannel support is vulnerable to a buffer overflow issue, while exchanging virtio control messages between guest & the host. A malicious guest could use this flaw to corrupt few bytes of Qemu memory area, potentially crashing the Qemu process.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-26 13:22:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasyl Kaigorodov 2015-08-06 11:23:13 EDT
It was reported that Qemu emulator built with the virtio-serial vmchannel support is vulnerable to a buffer overflow issue. It could occur while exchanging virtio control messages between guest & the host.

A malicious guest could use this flaw to corrupt few bytes of Qemu memory area, potentially crashing the Qemu process.

Upstream fix:
-------------
  -> git.qemu.org/?p=qemu.git;a=commit;h=7882080388be5088e72c425b02223c02e6cb4295

Reference:
----------
  -> http://seclists.org/oss-sec/2015/q3/302
Comment 1 Vasyl Kaigorodov 2015-08-06 11:31:01 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1251160]
Comment 2 Prasad J Pandit 2015-08-07 01:27:05 EDT
Statement: 

This issue does not affect the versions of kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6 and 7.

This issue affects the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affects the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 3 Prasad J Pandit 2015-08-07 01:30:21 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1251354]
Comment 4 Fedora Update System 2015-08-18 01:17:00 EDT
qemu-2.3.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-08-23 12:40:32 EDT
qemu-2.4.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-09-01 03:26:40 EDT
qemu-2.1.3-9.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-10-03 13:34:32 EDT
xen-4.5.1-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-04 18:50:32 EDT
xen-4.5.1-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-04 19:19:46 EDT
xen-4.4.3-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.